Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction
Class CSupportData

    java.lang.Object
      mycompiler.mytypereconstruction.CSupportData

    public class CSupportData

extends java.lang.Object

Container-Klasse f�r bestimmte Hilfsdaten, die beim Typrekonstruktionsalgorithmus ben�tigt und deshalb rekursiv weiter gereicht werden.

Version:
  $Date: 2005/06/28 19:19:10 $
Author:
  J�rg B�uerle

Field Summary
`static java.lang.String` | `NO_METHOD` Gibt Namensstring f�r den Classbody au�erhalb einer Methode f�r `m_CurrentMethod`.

Constructor Summary
`CSupportData(FC_TTO finiteClosure, de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult> A, java.lang.String currentClass)`
`CSupportData(FC_TTO finiteClosure, de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult> A, java.lang.String currentClass, java.lang.String currentMethod, int currentMethodParaCount, de.dhbwstuttgart.typeinference.Menge<java.lang.Integer> blockIdList, int blockDepth)`

Method Summary
`CSupportData` | `clone()`
`int` | `decBlockDepth()`
`de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult>` | `getA()`
`java.lang.String` | `getBlockId(int blockDepth)`
`de.dhbwstuttgart.typeinference.Menge<java.lang.Integer>` | `getBlockIdList()`
`int` | `getCurrentBlockDepth()`
`java.lang.String` | `getCurrentBlockId()`
`java.lang.String` | `getCurrentClass()`
`java.lang.String` | `getCurrentMethod()`
`int` | `getCurrentMethodParaCount()`
`FC_TTO` | `getFiniteClosure()`
`int` | `incBlockDepth()`
`void` | `resetBlockId()`
`void` | `setA(de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult> A)`
`void` | `setBlockIdList(de.dhbwstuttgart.typeinference.Menge<java.lang.Integer> blockId)`
`void` | `setCurrentBlockDepth(int currentBlockDepth)`
`void` | `setCurrentClass(java.lang.String currentClass)`
`void` | `setCurrentMethod(java.lang.String currentMethod)`
`void` | `setCurrentMethodParaCount(int currentMethodParaCount)`
`void` | `setFiniteClosure(FC_TTO finiteClosure)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_METHOD

    public static final java.lang.String NO_METHOD

  Gibt Namensstring f�r den Classbody au�erhalb einer Methode f�r `m_CurrentMethod`.

  See Also:
    Constant Field Values

Constructor Detail

### CSupportData

    public CSupportData(FC_TTO finiteClosure,
                        de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult> A,
                        java.lang.String currentClass)

### CSupportData

    public CSupportData(FC_TTO finiteClosure,
                        de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult> A,
                        java.lang.String currentClass,
                        java.lang.String currentMethod,
                        int currentMethodParaCount,
                        de.dhbwstuttgart.typeinference.Menge<java.lang.Integer> blockIdList,
                        int blockDepth)

Method Detail

### getFiniteClosure

    public FC_TTO getFiniteClosure()

### setFiniteClosure

    public void setFiniteClosure(FC_TTO finiteClosure)

### getA

    public de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult> getA()

### setA

    public void setA(de.dhbwstuttgart.typeinference.Menge<CTypeReconstructionResult> A)

### getCurrentClass

    public java.lang.String getCurrentClass()

### setCurrentClass

    public void setCurrentClass(java.lang.String currentClass)

### getCurrentMethod

    public java.lang.String getCurrentMethod()

### setCurrentMethod

    public void setCurrentMethod(java.lang.String currentMethod)

### getCurrentMethodParaCount

    public int getCurrentMethodParaCount()

### setCurrentMethodParaCount

    public void setCurrentMethodParaCount(int currentMethodParaCount)

### getBlockIdList

    public de.dhbwstuttgart.typeinference.Menge<java.lang.Integer> getBlockIdList()

### setBlockIdList

    public void setBlockIdList(de.dhbwstuttgart.typeinference.Menge<java.lang.Integer> blockId)

### resetBlockId

    public void resetBlockId()

### getCurrentBlockDepth

    public int getCurrentBlockDepth()

### setCurrentBlockDepth

    public void setCurrentBlockDepth(int currentBlockDepth)

### incBlockDepth

    public int incBlockDepth()

### decBlockDepth

    public int decBlockDepth()

### getCurrentBlockId

    public java.lang.String getCurrentBlockId()

### getBlockId

    public java.lang.String getBlockId(int blockDepth)

### clone

    public CSupportData clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD